--- old/usr/src/uts/common/io/nge/nge_atomic.c	2014-07-28 07:43:48.167820672 -0400
+++ new/usr/src/uts/common/io/nge/nge_atomic.c	2014-07-28 07:43:48.173490233 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include "nge.h"
 
 /*
@@ -44,7 +42,7 @@
 		newval = oldval - n;
 		if (oldval < n)
 			return (B_FALSE);
-	} while (cas64(count_p, oldval, newval) != oldval);
+	} while (atomic_cas_64(count_p, oldval, newval) != oldval);
 
 	return (B_TRUE);
 }
@@ -62,7 +60,7 @@
 	do {
 		oldval = *count_p;
 		newval = oldval + n;
-	} while (cas64(count_p, oldval, newval) != oldval);
+	} while (atomic_cas_64(count_p, oldval, newval) != oldval);
 }
 
 
@@ -80,7 +78,7 @@
 	do {
 		oldval = *sp;
 		newval = oldval << count;
-	} while (cas32(sp, oldval, newval) != oldval);
+	} while (atomic_cas_32(sp, oldval, newval) != oldval);
 
 	return (oldval);
 }
